# [THESAURUS SYNONYMS E DATA](https://github.com/FlatEarthTruther/thesaurus-synonyms-e-data)

Data scraped with spiders from [thesaurus.com](http://www.thesaurus.com) on 2018-03
[![NPM version](https://img.shields.io/npm/v/thesaurus-synonyms-e-data.svg)](https://www.npmjs.com/package/thesaurus-synonyms-e-data)
[![Build Status](https://travis-ci.org/FlatEarthTruther/thesaurus-synonyms-e-data.svg?branch=master)](https://travis-ci.org/FlatEarthTruther/thesaurus-synonyms-e-data)

[This package/repo is a dependency of thesaurus-synonyms-data](https://github.com/FlatEarthTruther/thesaurus-synonyms-data)
 
## RELATED PROJECTS

[DICTIONARY DEFINITIONS DATA](https://github.com/FlatEarthTruther/dictionary-definitions-data)
 
#### STATS

    $ wc -l e.json
    5681 a.json
  
    $ du -sh e.js*
    179M	e.json
     15M	e.json.zip

## INSTALL [PACKAGE](https://www.npmjs.com/package/thesaurus-synonyms-e-data) 📦

    npm i -S thesaurus-synonyms-e-data
    
## USAGE

Zip files containing the data get uncompressed during postinstall.    

#### LOAD SYNC
```javascript
require('thesaurus-synonyms-e-data').loadSync()
```

    [ { key: 'easier said than done',
        datetime: '2018-03-24 13:41:51',
        page_number: 1,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/easier%20said%20than%20done/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/1' },
      { key: 'easies',
        datetime: '2018-03-24 13:41:51',
        page_number: 1,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/easies/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/1' },
      { key: 'ebook',
        datetime: '2018-03-24 13:42:03',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebook/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebonizing',
        datetime: '2018-03-24 13:42:03',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebonizing/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebonizes',
        datetime: '2018-03-24 13:42:04',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebonizes/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebonized',
        datetime: '2018-03-24 13:42:04',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebonized/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebonize',
        datetime: '2018-03-24 13:42:04',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/E00/E0017300.ogg',
           'http://static.sfdict.com/audio/E00/E0017300.mp3' ],
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebonize/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebbs flow',
        datetime: '2018-03-24 13:42:04',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebbs%20flow/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebbs and flow',
        datetime: '2018-03-24 13:42:05',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebbs%20and%20flow/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebbings',
        datetime: '2018-03-24 13:42:05',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebbings/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebbing flowing',
        datetime: '2018-03-24 13:42:05',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebbing%20flowing/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebbing flow',
        datetime: '2018-03-24 13:42:05',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebbing%20flow/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebbing and flowing',
        datetime: '2018-03-24 13:42:05',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebbing%20and%20flowing/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebbing and flow',
        datetime: '2018-03-24 13:42:05',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebbing%20and%20flow/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebbed flow',
        datetime: '2018-03-24 13:42:06',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebbed%20flow/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'echinated',
        datetime: '2018-03-24 13:42:07',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/echinated/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'echinate',
        datetime: '2018-03-24 13:42:07',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/E00/E0023700.ogg',
           'http://static.sfdict.com/audio/E00/E0023700.mp3' ],
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/echinate/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ecdysiasts',
        datetime: '2018-03-24 13:42:07',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ecdysiasts/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ecdysiast',
        datetime: '2018-03-24 13:42:07',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/E00/E0021500.ogg',
           'http://static.sfdict.com/audio/E00/E0021500.mp3' ],
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ecdysiast/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ecclesiasts',
        datetime: '2018-03-24 13:42:08',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ecclesiasts/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ecclesiastical laws',
        datetime: '2018-03-24 13:42:08',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ecclesiastical%20laws/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ecclesiastical law',
        datetime: '2018-03-24 13:42:08',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ecclesiastical%20law/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ecclesiast',
        datetime: '2018-03-24 13:42:08',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ecclesiast/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ecclesiarchs',
        datetime: '2018-03-24 13:42:09',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ecclesiarchs/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ecclesiarch',
        datetime: '2018-03-24 13:42:09',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/E00/E0020300.ogg',
           'http://static.sfdict.com/audio/E00/E0020300.mp3' ],
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ecclesiarch/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'eccentrically',
        datetime: '2018-03-24 13:42:09',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/eccentrically/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ecce homo',
        datetime: '2018-03-24 13:42:09',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/E00/E0019000.ogg',
           'http://static.sfdict.com/audio/E00/E0019000.mp3' ],
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ecce%20homo/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebvs',
        datetime: '2018-03-24 13:42:10',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebvs/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebv',
        datetime: '2018-03-24 13:42:10',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebv/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebullitions',
        datetime: '2018-03-24 13:42:10',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebullitions/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebullition',
        datetime: '2018-03-24 13:42:10',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/E00/E0018200.ogg',
           'http://static.sfdict.com/audio/E00/E0018200.mp3' ],
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebullition/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebulliency',
        datetime: '2018-03-24 13:42:11',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebulliency/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebon',
        datetime: '2018-03-24 13:42:04',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/E00/E0017000.ogg',
           'http://static.sfdict.com/audio/E00/E0017000.mp3' ],
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebon/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebony',
        datetime: '2018-03-24 13:42:03',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/E00/E0017400.ogg',
           'http://static.sfdict.com/audio/E00/E0017400.mp3' ],
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebony/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebulliencies',
        datetime: '2018-03-24 13:42:11',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebulliencies/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebullience',
        datetime: '2018-03-24 13:42:11',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/E00/E0018000.ogg',
           'http://static.sfdict.com/audio/E00/E0018000.mp3' ],
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebullience/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebrakes',
        datetime: '2018-03-24 13:42:11',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebrakes/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebrake',
        datetime: '2018-03-24 13:42:11',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebrake/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebooks',
        datetime: '2018-03-24 13:42:11',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebooks/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebbed and flow',
        datetime: '2018-03-24 13:42:11',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebbed%20and%20flow/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebb-tide',
        datetime: '2018-03-24 13:42:12',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebb-tide/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebb tide',
        datetime: '2018-03-24 13:42:12',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebb%20tide/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebb flows',
        datetime: '2018-03-24 13:42:12',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebb%20flows/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebb flow',
        datetime: '2018-03-24 13:42:12',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebb%20flow/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebb and flows',
        datetime: '2018-03-24 13:42:12',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebb%20and%20flows/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebb and flow',
        datetime: '2018-03-24 13:42:13',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebb%20and%20flow/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'eclairs',
        datetime: '2018-03-24 13:42:14',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/eclairs/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'eclair',
        datetime: '2018-03-24 13:42:14',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/eclair/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'echoisms',
        datetime: '2018-03-24 13:42:14',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/echoisms/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'echoism',
        datetime: '2018-03-24 13:42:14',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/E00/E0026100.ogg',
           'http://static.sfdict.com/audio/E00/E0026100.mp3' ],
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/echoism/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'echoings',
        datetime: '2018-03-24 13:42:14',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/echoings/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'echoic',
        datetime: '2018-03-24 13:42:15',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/E00/E0026000.ogg',
           'http://static.sfdict.com/audio/E00/E0026000.mp3' ],
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/echoic/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'ebankings',
        datetime: '2018-03-24 13:42:16',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebankings/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebanking',
        datetime: '2018-03-24 13:42:16',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebanking/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'eb virus',
        datetime: '2018-03-24 13:42:16',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/eb%20virus/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'eb viru',
        datetime: '2018-03-24 13:42:16',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/eb%20viru/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'educated persons',
        datetime: '2018-03-24 13:42:17',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/educated%20persons/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'educated person',
        datetime: '2018-03-24 13:42:17',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/educated%20person/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'educated people',
        datetime: '2018-03-24 13:42:17',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/educated%20people/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'educated guesses',
        datetime: '2018-03-24 13:42:17',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/educated%20guesses/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'effluents',
        datetime: '2018-03-24 13:42:17',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/effluents/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'effluent',
        datetime: '2018-03-24 13:42:18',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/E00/E0055600.ogg',
           'http://static.sfdict.com/audio/E00/E0055600.mp3' ],
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/effluent/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'effluences',
        datetime: '2018-03-24 13:42:18',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/effluences/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'effluence',
        datetime: '2018-03-24 13:42:18',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/E00/E0055500.ogg',
           'http://static.sfdict.com/audio/E00/E0055500.mp3' ],
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/effluence/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'efflorescent',
        datetime: '2018-03-24 13:42:18',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/E00/E0055400.ogg',
           'http://static.sfdict.com/audio/E00/E0055400.mp3' ],
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/efflorescent/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'efflorescence',
        datetime: '2018-03-24 13:42:19',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/E00/E0055300.ogg',
           'http://static.sfdict.com/audio/E00/E0055300.mp3' ],
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/efflorescence/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'effloresce',
        datetime: '2018-03-24 13:42:19',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/E00/E0055200.ogg',
           'http://static.sfdict.com/audio/E00/E0055200.mp3' ],
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/effloresce/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'efficiently',
        datetime: '2018-03-24 13:42:20',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/efficiently/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'efficient organizations',
        datetime: '2018-03-24 13:42:20',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/efficient%20organizations/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'efficient organization',
        datetime: '2018-03-24 13:42:20',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/efficient%20organization/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'efficient households',
        datetime: '2018-03-24 13:42:20',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/efficient%20households/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'efficient household',
        datetime: '2018-03-24 13:42:20',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/efficient%20household/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'efficient businesses',
        datetime: '2018-03-24 13:42:20',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/efficient%20businesses/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'egg ones beer',
        datetime: '2018-03-24 13:42:21',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/egg%20ones%20beer/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'egg on ones face',
        datetime: '2018-03-24 13:42:21',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/egg%20on%20ones%20face/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'egg on one face',
        datetime: '2018-03-24 13:42:22',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/egg%20on%20one%20face/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'egg on face',
        datetime: '2018-03-24 13:42:22',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/egg%20on%20face/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'egg in ones beer',
        datetime: '2018-03-24 13:42:22',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/egg%20in%20ones%20beer/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'egg in one beer',
        datetime: '2018-03-24 13:42:22',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/egg%20in%20one%20beer/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'egg in beer',
        datetime: '2018-03-24 13:42:22',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/egg%20in%20beer/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'egg face',
        datetime: '2018-03-24 13:42:22',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/egg%20face/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'egg one on',
        datetime: '2018-03-24 13:42:23',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/egg%20one%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'egg one face',
        datetime: '2018-03-24 13:42:23',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/egg%20one%20face/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'egg cell',
        datetime: '2018-03-24 13:42:23',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/egg%20cell/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'egg one beer',
        datetime: '2018-03-24 13:42:23',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/egg%20one%20beer/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'egg cells',
        datetime: '2018-03-24 13:42:23',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/egg%20cells/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'effluvia',
        datetime: '2018-03-24 13:42:17',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/effluvia/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'eccentricities',
        datetime: '2018-03-24 13:42:09',
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/eccentricities/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'ebullient',
        datetime: '2018-03-24 13:42:10',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/E00/E0018100.ogg',
           'http://static.sfdict.com/audio/E00/E0018100.mp3' ],
        page_number: 2,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/ebullient/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/2' },
      { key: 'egged',
        datetime: '2018-03-24 13:42:24',
        page_number: 4,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/egged/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/4' },
      { key: 'egressing',
        datetime: '2018-03-24 13:42:24',
        page_number: 4,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/egressing/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/4' },
      { key: 'egressed',
        datetime: '2018-03-24 13:42:25',
        page_number: 4,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/egressed/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/4' },
      { key: 'egotistically',
        datetime: '2018-03-24 13:42:26',
        page_number: 4,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/egotistically/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/4' },
      { key: 'egomaniac',
        datetime: '2018-03-24 13:42:27',
        page_number: 4,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/egomaniac/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/4' },
      { key: 'eitheror',
        datetime: '2018-03-24 13:42:27',
        page_number: 4,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/eitheror/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/4' },
      { key: 'egg on one&amp',
        datetime: '2018-03-24 13:42:28',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/egg%20on%20one&amp',
        data: {},
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'egg in one&amp',
        datetime: '2018-03-24 13:42:28',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/egg%20in%20one&amp',
        data: {},
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'egg one&amp',
        datetime: '2018-03-24 13:42:28',
        page_number: 3,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/egg%20one&amp',
        data: {},
        page_url: 'http://www.thesaurus.com/list/e/3' },
      { key: 'elaborate promotional events',
        datetime: '2018-03-24 13:42:29',
        page_number: 4,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/elaborate%20promotional%20events/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/4' },
      { key: 'elaborate promotional event',
        datetime: '2018-03-24 13:42:29',
        page_number: 4,
        letter: 'e',
        word_url: 'http://www.thesaurus.com/browse/elaborate%20promotional%20event/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/e/4' },
      ... 5581 more items ]
    
#### LOAD ASYNC
```javascript
require('thesaurus-synonyms-e-data').load(function(err, data) {
    if (err) throw err;
    console.log(data[1].key)
});
```

    'easies'


#### FIND SYNC EXAMPLE
```javascript
var _ = require('lodash');
var data = require('thesaurus-synonyms-e-data').loadSync();

function findSync(word) {
  return _.find(data, function(o) {
    return o.key === word.toLowerCase();
  } );
}
findSync('efficient organization');
```

    { key: 'efficient organization',
      datetime: '2018-03-24 13:42:20',
      page_number: 3,
      letter: 'e',
      word_url: 'http://www.thesaurus.com/browse/efficient%20organization/1',
      data:
       { synonyms: [ [Object] ],
         citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
         related: [ [Object] ] },
      page_url: 'http://www.thesaurus.com/list/e/3' }

#### FIND ASYNC EXAMPLE
```javascript
var _ = require('lodash');
var load = require('thesaurus-synonyms-e-data').load;

function find(word, callback) {
  load(function(err, data) {
    if (err) callback(err);
    var result = _.find(data, function(o) {
      return o.key === word.toLowerCase();
    } );
    callback(null, result);
  });
}
find('efficient organization', function(err, data) {
    if (err) throw err;
    console.log(data.data);
});   
```

    { synonyms:
       [ { txt: 'noun', words: [Array], ttl: 'well-managed business' } ],
      citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
      related:
       [ { url: 'http://www.thesaurus.com/browse/tight%20ship',
           text: 'tight ship',
           words: [Array],
           def: 'noun. well-managed business' } ] }

#### JSONLINES FORMAT

Look at [test.js](test.js) to find out more about the object structure.

    "letter" - str - word begins with this letter
    "word_url" or "url" - str - word thesaurus.com url
    "datetime" - str - datetime when data was downloaded
    "page_number" - str - the pagenumber the word was found on
    "page_url" - str - page url to word on thesaurus.com
    "key" - str - word key
    "data" - obj
        "synonyms" - arr
            "txt" - str
            "words" - arr
                "category" - int
                "url" - str
                "text" - str
                "length" - int
                "complexity" - int
                "id" - int
            "ttl" - str
        "citation" - str
        "related" - arr
            "url" - str
            "text" - str
            "words" - arr
                "url" - str
                "word" - str
            "def" - str

#### SAMPLE WORD - air ball

```json
{
  "key": "earnest moneys",
  "datetime": "2018-03-28 08:36:06",
  "page_number": 1,
  "letter": "e",
  "word_url": "http://www.thesaurus.com/browse/earnest%20moneys/1",
  "data": {
    "synonyms": [
      {
        "txt": "noun",
        "words": [
          {
            "category": 3,
            "url": "http://www.thesaurus.com/browse/deposit",
            "text": "deposit",
            "length": 1,
            "complexity": 1,
            "id": 1
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/binder",
            "text": "binder",
            "length": 1,
            "complexity": 1,
            "id": 2
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/earnest",
            "text": "earnest",
            "length": 1,
            "complexity": 2,
            "id": 3
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/security",
            "text": "security",
            "length": 1,
            "complexity": 1,
            "id": 4
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/front%20money",
            "text": "front money",
            "length": 2,
            "complexity": 3,
            "id": 5
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/earnest%20money",
            "text": "earnest money",
            "length": 3,
            "complexity": 3,
            "id": 6
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/security%20deposit",
            "text": "security deposit",
            "length": 3,
            "complexity": 3,
            "id": 7
          }
        ],
        "ttl": "part payment when buying"
      }
    ],
    "citation": "Roget's 21st Century Thesaurus, Third Edition Copyright \\u00a9 2013 by the Philip Lief Group.",
    "related": [
      {
        "url": "http://www.thesaurus.com/browse/down%20payment",
        "text": "down payment",
        "words": [
          {
            "url": "http://www.thesaurus.com/browse/binder",
            "word": "binder"
          },
          {
            "url": "http://www.thesaurus.com/browse/deposit",
            "word": "deposit"
          },
          {
            "url": "http://www.thesaurus.com/browse/earnest",
            "word": "earnest"
          },
          {
            "url": "http://www.thesaurus.com/browse/earnest%20money",
            "word": "earnest money"
          },
          {
            "url": "http://www.thesaurus.com/browse/front%20money",
            "word": "front money"
          },
          {
            "url": "http://www.thesaurus.com/browse/security",
            "word": "security"
          },
          {
            "url": "http://www.thesaurus.com/browse/security%20deposit",
            "word": "security deposit"
          }
        ],
        "def": "noun. part payment when buying"
      }
    ]
  },
  "page_url": "http://www.thesaurus.com/list/e/1"
}
```

## TESTS

Accepted param `--verbose` or `-v` to get detailed output of data being tested.

    npm test -- --verbose
    # or
    npm run test
    # or
    node --max_old_space_size=4096 ./test.js -v
    # or
    ./test.js

Should say: `All tests passed!`

Please note some of the data files are so large that they had to be left out of the tests, in fact some of the data files will give you `FATAL ERROR` when you try to load them, in that case give node more memory when you run the script, `node --max_old_space_size=4096  test.js`, increase size as necessary.

## LICENSE

This is free and unencumbered software released into the public domain.

Anyone is free to copy, modify, publish, use, compile, sell, or
distribute this software, either in source code form or as a compiled
binary, for any purpose, commercial or non-commercial, and by any
means.

In jurisdictions that recognize copyright laws, the author or authors
of this software dedicate any and all copyright interest in the
software to the public domain. We make this dedication for the benefit
of the public at large and to the detriment of our heirs and
successors. We intend this dedication to be an overt act of
relinquishment in perpetuity of all present and future rights to this
software under copyright law.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

For more information, please refer to <http://unlicense.org>

    
